# Rolens: intuitive MongoDB administration tool

Robust, blazing-fast, comprehensive, yet simple [MongoDB](https://www.mongodb.com/) administration tool for Windows, macOS and Linux.

[![CI](https://github.com/garraflavatra/rolens/actions/workflows/ci.yml/badge.svg)](https://github.com/garraflavatra/rolens/actions/workflows/ci.yml)

## Why another MongoDB client?

This project arose from all flaws of similar tools: they are slow, complicated, heavy, and fairly unwieldy. They require a high level of knowledge on how to operate the program.

**Rolens aims to be the intuitive, lightweight counterpart of these overengineered tools.**

- [x] **Lightweight**: Rolens weighs about 15 MB.
- [x] **Open source**: you know what's inside!
- [x] **Low overhead**: typical query results against a local database are returned whithin milliseconds.
- [x] **Intuitive**: you know MongoDB? You know Rolens.

## Download and installation

WIP.

## User guide

WIP.

## Questions and bugs

* Did you capture a **bug**? Please [report it](https://github.com/garraflavatra/rolens/issues/new?assignees=garraflavatra&labels=bug&projects=&template=bug.yml) — thank you!
* Would you like to see a new **feature**? You can [request it](https://github.com/garraflavatra/rolens/issues/new?assignees=garraflavatra&labels=enhancement&projects=&template=feature.yml).
* Do you have a **question**? Ask questions on [the discussion board](https://github.com/garraflavatra/rolens/discussions/new?category=questions).

Feel free to contact me if you have questions! [send me an e-mail](mailto:romein@vburen.nl)

## Author and license

© [Romein van Buren](mailto:romein@vburen.nl) 2023. Licensed under the GNU GPLv3 license — see [LICENSE](./LICENSE) for the full license text.
